package cn.reghao.autodop.dagent.app;

import cn.reghao.autodop.common.msg.rpc.dto.app.AppStatus;
import cn.reghao.autodop.common.msg.rpc.dto.app.DeployParam;
import cn.reghao.autodop.common.dagent.app.log.AppLogArgs;
import cn.reghao.autodop.common.dagent.app.log.LogFile;
import lombok.extern.slf4j.Slf4j;

import java.util.Collections;
import java.util.List;

/**
 * @author reghao
 * @date 2021-02-22 16:21:37
 */
@Slf4j
public class ZipAppServiceImpl implements AppService {
    @Override
    public AppStatus deploy(DeployParam deployParam) {
        log.info("zip 部署");
        return null;
    }

    @Override
    public AppStatus status(String appId) {
        return null;
    }

    @Override
    public AppStatus restart(String appId)  {
        return null;
    }

    @Override
    public AppStatus stop(String appId)  {
        return null;
    }

    @Override
    public AppStatus start(String appId) {
        return null;
    }

    @Override
    public List<LogFile> logFiles(AppLogArgs appLogArgs) {
        return Collections.emptyList();
    }

    @Override
    public List<String> logContent(AppLogArgs appLogArgs) {
        return Collections.emptyList();
    }
}
